
html,
body,
input,
select {
  font-family: Open Sans, sans-serif;
  font-size: 22px;
  line-height: 24px;
  background-color: hsl(60 60% 96%);
  color: rgb(51, 51, 51);
}

html,
body {
  margin: 0;
  padding: 0;
  background-color: #ccc;
}

#site {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 390px;
  height: 100svh;
  margin-left: auto;
  margin-right: auto;
  background-color: hsl(60 60% 96%);
}

#site-content {
  flex-shrink: 0;
}

#nav-caption {
  height: 24px;
  padding: 12px 24px;
  background-color: hsl(60, 60%, 92%);
}
#nav-sandwich {
  height: 24px;
  padding: 12px 24px;
  margin-top: -48px;
  text-align: right;
  border-bottom: 1px solid #ccc;
}
#sandwich-toggle {
  display: none;
}
#nav-menu {
  padding: 0;
  height: 0px;
  overflow: hidden;
  transition-property: height;
  transition-duration: 0.2s;
  transition-timing-function: ease;
  box-sizing: border-box;
}
#sandwich-toggle:checked + #nav-menu {
  height: 192px; /* yep */
  border-bottom: 1px solid #ccc;
}
a.nav-menu-item,
a.nav-menu-item:link,
a.nav-menu-item:visited {
  display: block;
  height: 24px;
  padding: 12px 24px;
  background-color: hsl(60, 60%, 92%); /* FIXME: make color scheme from beige, #ff8? */
  color: rgb(51, 51, 51);
  text-decoration: underline;
}
a.nav-menu-item:hover {
  background-color: hsl(60, 100%, 80%);
  text-decoration: none;
}

#nav-menu + div.problem-line,
div.meta-line + div.solution-line {
  padding-top: 24px; /*48px;*/
}
div.problem-line,
div.meta-line,
div.solution-line-hidden,
div.solution-line-visible {
  padding: 6px /*12px*/ 24px;
}
div.meta-line {
  font-size: 18px;
  color: #999;
}
div.solution-line-hidden {
  filter: blur(8px);
  color: #666;
}
span.solution-prefix-number,
span.solution-prefix-case {
  display: inline-block;
  width: 40px;
}









#site-buttons {
  flex-shrink: 0;
  height: 60px;
  overflow: hidden;
  border-top: 1px solid #ccc;
  background-color: hsl(60, 60%, 92%);
}

input[type=button] {
  box-sizing: border-box;
  width: 100%;
  border: 0;
  height: 60px;
  background-color: hsl(60, 60%, 92%);
}
input[type=button]:active {
  background-color: hsl(60, 100%, 80%);
}



